Bug 191455 - Attachment file name truncated when slash present
Summary: Attachment file name truncated when slash present
Status: RESOLVED FIXED
Alias: None
Product: kmail
Classification: Applications
Component: general (show other bugs)
Version: 1.11.2
Platform: Ubuntu Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-05-03 12:40 UTC by kde
Modified: 2009-09-05 01:24 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description kde 2009-05-03 12:40:33 UTC
Version:            (using KDE 4.2.2)
OS:                Linux
Installed from:    Ubuntu Packages

When I receive a pdf that has the US date separator in the file name, the save as dialog truncates everything before the last slash.

Content-Type: application/pdf; name="name-receipt-04/06/09.pdf"
Content-Transfer-Encoding: Base64
Content-Disposition: attachment; filename="name-receipt-04/06/09.pdf"

Shown in message window as: name-receipt-04/06/09.pdf
Shown in attachment list as: name-receipt-04
Shown in 'Save as' dialog as: 09.pdf

Proposed workaround: converting / into - might work well, simply excluding the character from the file name would work, too.
Comment 1 Martin Koller 2009-09-05 01:24:31 UTC
SVN commit 1019989 by mkoller:

BUG: 191455

Replace dir-delimiters with _ char onm saving attachments


 M  +8 -0      kmcommands.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1019989